### Method

# FwupdPlugin Hwids get_keys

since: 1.5.6

#### Declaration [src]

    GPtrArray*
    fu_hwids_get_keys (
      FuHwids* self
    )

#### Description [src]

Returns all the defined HWID keys.

Available since: 1.5.6

#### Return value

Type: An array of `utf8`

All the known keys, e.g. `FU_HWIDS_KEY_FAMILY`.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.